include:
  - remote: 'https://gitlab.com/emiolo/dev-ops/docker/thalamus/raw/master/gitlab-ci.yml'

# image: node:lts

# stages:
#   - install
#   - lint
#   - test
#   - build
#   - docker
#   - publish

# install:
 #  stage: install
#   script:
#     - npm install
#   artifacts:
#     name: "$CI_COMMIT_REF_SLUG-dependencies"
#     paths:
#       - node_modules

# lint:
#   stage: lint
#   script:
#     - NODE_ENV=production npm run lint
#   except:
#     - master
#     - develop

# test:
#   stage: test
#   script:
#     - NODE_ENV=production npm run test
#   artifacts:
#     name: "$CI_COMMIT_REF_SLUG-coverage"
#     paths:
#       - coverage
#   except:
#     - master
#     - develop

# build:
#   stage: build
#   script:
#     - NODE_ENV=production npm run build -- --api-docs
#   artifacts:
#     name: "$CI_COMMIT_REF_SLUG-dist"
#     paths:
#       - .thalamus
#       - dist

# docker:
#   image: registry.gitlab.com/emiolo/dev-ops/docker/thalamus:latest
#   stage: docker
#   script: 'sh'
#   services:
#     - docker:dind
#   variables:
#     DOCKER_HOST: tcp://docker:2375
#     DOCKER_DRIVER: overlay2

# pages:
#   stage: publish
#   cache:
    # Required to keep artifacts from old builds, e.g. from master
#     paths:
#       - public
#   script:
#     - mkdir -p public/$CI_COMMIT_REF_NAME
#     - cp -a dist public/$CI_COMMIT_REF_NAME
#     - sh -c "[ -f \"coverage/lcov-report/index.html\" ] && cp -a coverage/lcov-report public/$CI_COMMIT_REF_NAME/coverage || true"
#   artifacts:
#     name: "$CI_PIPELINE_ID"
#     paths:
#       - public
#   when: always
